namespace gswi.Model.Filters
{
    public enum ErrorType {
        ValidationError,
        Exception
    }

    public class ErrorDto {
        public ServiceErrorCode ErrorCode { get; set; }
        public string Message { get; set; }

        public ErrorDto(string message)
            : this(ServiceErrorCode.Unknown, message) {
        }

        public ErrorDto(ServiceErrorCode errorCode, string message) {
            Message = message;
            ErrorCode = errorCode;
        }
    }
}